Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79658 - Fail to print correctly when netbios username hold a space
Summary: Fail to print correctly when netbios username hold a space
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-14 17:34 UTC by Christian Lepine
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-16 22:31:17 UTC


Attachments (Terms of Use)

Description Christian Lepine 2002-12-14 17:34:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When the netbios username of the client (Win2000) holds a space it can not 
print correctly when using a samba print server.

I am using the print command "lpr -U%U@%M -r -P%p %s" and the space in the 
netbios username cause an error in th elpr command.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup a Windows client with a username that holds a space, "Christian 
Lepine" for example.
2.Setup a samba print server and use the command lpr -U%U@%M -r -P%p %s
3.Try to print
    

Actual Results:  Will not print the job or print it in the default printer.

Expected Results:  Print the job in the right printer without an error

Additional info:

Comment 1 Andrew Bartlett 2002-12-29 00:32:42 UTC
I think you just need to add the quotes around the %U bit correctly - it's not
really a bug when you are specifying the config paramater yourself...  

In Samba 3.0 the defaults have been adjusted for similar effect (thanks to the
debian folk for their patches)


Note You need to log in before you can comment on or make changes to this bug.